Callisto4Bootloader: ARK/platform_sampler_lpspi3_ad8688.h File Reference

Callisto4Bootloader

Data Structures | Macros | Functions
platform_sampler_lpspi3_ad8688.h File Reference
`#include "platform-api.h"`

Go to the source code of this file.

## Data Structures

struct | SV_CONFIG
struct | PROCESS_BUS_CONFIG
struct | sv_transmit_buffer
struct | sv_receive_buffer

## Macros

#define | ARM_errata_838869() do { } while (0)
#define | NANOSECS_PER_SECOND (1000U * 1000U * 1000U)
#define | NANOSECS_PER_HALFSECOND (NANOSECS_PER_SECOND / 2U)
#define | CALCULATE_PERIOD(PERIODNSEC, PITFREQ)
#define | PIT_IRQ_ID PIT_IRQn
#define | PIT_IRQ_PRIORITY 6U
#define | GPT_IRQ_PRIORITY (9U)
#define | PIT_CLOCK_WHICH kCLOCK_IpgClk
#define | PIT_CLOCK_SOURCE_SELECT 0U
#define | PIT_CLOCK_BASEFREQ() CLOCK_GetFreq( PIT_CLOCK_WHICH )
#define | PIT_CLOCK_DIVIDER_RATIO 1U
#define | PIT_CLOCK(BASEFREQ) ((BASEFREQ) / PIT_CLOCK_DIVIDER_RATIO)
#define | GPT_IRQ_ID GPT2_IRQn
#define | SMV_GPT GPT2
#define | SMV_GPT_CLOCK_SOURCE_SELECT (0U)
#define | SMV_GPT_CLOCK_DIVIDER_SELECT (0U)
#define | SMV_GPT_CLK_FREQ (CLOCK_GetFreq(kCLOCK_IpgClk) / (SMV_GPT_CLOCK_DIVIDER_SELECT + 1U))
#define | ADS8688_LPSPI_MASTER_IRQN LPSPI3_IRQn
#define | ADS8688_LPSPI_MASTER_BASEADDR (LPSPI3)
#define | TOTAL_RANGE_SELECT_REGISTER 8
#define | ADS8688_CS_GPIO GPIO1
#define | ADS8688_CS_GPIO_PIN (28U)
#define | CS_LOW() GPIO_PinWrite(ADS8688_CS_GPIO, ADS8688_CS_GPIO_PIN, 0U)
#define | CS_HIGH() GPIO_PinWrite(ADS8688_CS_GPIO, ADS8688_CS_GPIO_PIN, 1U)
#define | LPSPI3_PRIORITY (8U)
#define | LPSPI3_MASTER_PCS_FOR_INIT (kLPSPI_Pcs0)
#define | LPSPI3_MASTER_PCS_FOR_TRANSFER (kLPSPI_MasterPcs0)
#define | LPSPI3_TRANSFER_BAUDRATE (16U * 1000000U)
#define | LPSPI3_CLOCK_SOURCE_SELECT (1U)
#define | LPSPI3_CLOCK_SOURCE_DIVIDER (7U)
#define | LPSPI3_MASTER_CLK_FREQ(CLOCK) (CLOCK / (LPSPI3_CLOCK_SOURCE_DIVIDER + 1U))
#define | VLAN_TAG_ENABLED 0
#define | ADS8688_SAMPLE 1
#define | VOLTAGE_SAMPLE 1
#define | MAX_INT15 32768
#define | MAX_INT31 0x7FFFFFFF
#define | MAX_SAMPLE_DATA 4
#define | MAX_SAMPLE_ADD_1 (MAX_SAMPLE_DATA + 1)
#define | MAX_SAMPLE_CHANNELS 8
#define | MAX_SAMPLE_CHANNELS_1 (MAX_SAMPLE_CHANNELS - 1)
#define | MAX_TX_BUFFER 20
#define | NPC 80
#define | NPC_1 NPC - 1
#define | HALF_NPC (NPC/2)
#define | HALF_NPC_1 HALF_NPC - 1
#define | ONE_HALF_NPC (3*NPC/2)
#define | ONE_HALF_NPC_1 ONE_HALF_NPC - 1
#define | DOUBLE_NPC (2 * NPC)
#define | DOUBLE_NPC_1 (DOUBLE_NPC - 1)
#define | TOT_PPC (HALF_NPC * MAX_SAMPLE_CHANNELS)
#define | DOUBLE_TOT_PPC (2*TOT_PPC)
#define | TRIPLE_TOT_PPC (3*TOT_PPC)
#define | TOT_RAW_DATA (4*TOT_PPC)
#define | MAX_REC_SV 8
#define | MAX_FRAME_LENGTH 256
#define | MAX_SV_LENGTH 252
#define | ETHER_HEAD 0x8100
#define | ETHER_SV_DATA 0x88BA
#define | APP_ID 0x4000
#define | ETHER_PRIORITY 4
#define | ETHER_VID 0x000
#define | ETHER_CFI 0
#define | SV_LENGTH 108
#define | PDU_LENGTH 98
#define | NO_ASDU_LENGTH 1
#define | SEQ_LENGTH 93
#define | ASDU_LENGTH 91
#define | SMP_CNT_LENGTH 2
#define | CONF_REF_LENGTH 4
#define | SMP_SYNCH_LENGTH 1
#define | SMP_DATA_LENGTH 64
#define | MAX_SVID_LENGTH 10
#define | IMPLICIT_PDU_0 0x60
#define | IMPLICIT_INT_0 0x80
#define | IMPLICIT_SEQ_2 0xA2
#define | SEQUENCE 0x30
#define | IMPLICIT_STRING_0 0x80
#define | IMPLICIT_INT_2 0x82
#define | IMPLICIT_INT_3 0x83
#define | IMPLICIT_INT_5 0x85
#define | IMPLICIT_DATA_7 0x87
#define | ASDU_NUMBER 1
#define | DEST_MAC_ERR 1
#define | ETHER_TYPE_ERR 2
#define | SV_ID_ERR 3

## Functions

void | config_process_bus (void)
bool | Sampler_ADS8688_InitHardware (void)
bool | Sampler_ADS8688_Setup (const ePLATFORM_SamplerConfig_t *paeSamplerConfig, uint32_t uiNumChannels, volatile stPLATFORM_SampleGrab_t *pastCircularBuffer, uint32_t uiBufferElements)
bool | Sampler_ADS8688_Start (uint32_t uiPeriod_Nsec)
bool | Sampler_ADS8688_Adjust (uint32_t uiDelay_Nsec, uint32_t uiPeriod_Nsec)
bool | Sampler_ADS8688_Stop (void)
uint32_t | Sampler_ADS8688_GetTimer (void)
uint32_t | Sampler_ADS8688_Grab (uint32_t uiEarliestTimer, volatile stPLATFORM_SampleGrab_t **papstGrabArray, uint32_t uiMaxSamplesToGrab)

## Macro Definition Documentation

## ◆ ADS8688_CS_GPIO

#define ADS8688_CS_GPIO GPIO1

Definition at line 72 of file platform_sampler_lpspi3_ad8688.h.

## ◆ ADS8688_CS_GPIO_PIN

#define ADS8688_CS_GPIO_PIN (28U)

Definition at line 73 of file platform_sampler_lpspi3_ad8688.h.

## ◆ ADS8688_LPSPI_MASTER_BASEADDR

#define ADS8688_LPSPI_MASTER_BASEADDR (LPSPI3)

Definition at line 68 of file platform_sampler_lpspi3_ad8688.h.

## ◆ ADS8688_LPSPI_MASTER_IRQN

#define ADS8688_LPSPI_MASTER_IRQN LPSPI3_IRQn

Definition at line 65 of file platform_sampler_lpspi3_ad8688.h.

## ◆ ADS8688_SAMPLE

#define ADS8688_SAMPLE 1

Definition at line 102 of file platform_sampler_lpspi3_ad8688.h.

## ◆ APP_ID

#define APP_ID 0x4000

Definition at line 137 of file platform_sampler_lpspi3_ad8688.h.

## ◆ ARM_errata_838869

#define ARM_errata_838869 | ( |  | ) | do { } while (0)

Definition at line 18 of file platform_sampler_lpspi3_ad8688.h.

## ◆ ASDU_LENGTH

#define ASDU_LENGTH 91

Definition at line 147 of file platform_sampler_lpspi3_ad8688.h.

## ◆ ASDU_NUMBER

#define ASDU_NUMBER 1

Definition at line 164 of file platform_sampler_lpspi3_ad8688.h.

## ◆ CALCULATE_PERIOD

#define CALCULATE_PERIOD | ( |  | PERIODNSEC,
|  |  | PITFREQ
| ) |  |

Value:
(uint32_t)( ((uint64_t) (PERIODNSEC)) * ((uint64_t) NANOSECS_PER_SECOND) \
/ ((uint64_t) (PITFREQ)) );

Definition at line 27 of file platform_sampler_lpspi3_ad8688.h.

## ◆ CONF_REF_LENGTH

#define CONF_REF_LENGTH 4

Definition at line 149 of file platform_sampler_lpspi3_ad8688.h.

## ◆ CS_HIGH

#define CS_HIGH | ( |  | ) | GPIO_PinWrite(ADS8688_CS_GPIO, ADS8688_CS_GPIO_PIN, 1U)

Definition at line 75 of file platform_sampler_lpspi3_ad8688.h.

## ◆ CS_LOW

#define CS_LOW | ( |  | ) | GPIO_PinWrite(ADS8688_CS_GPIO, ADS8688_CS_GPIO_PIN, 0U)

Definition at line 74 of file platform_sampler_lpspi3_ad8688.h.

## ◆ DEST_MAC_ERR

#define DEST_MAC_ERR 1

Definition at line 167 of file platform_sampler_lpspi3_ad8688.h.

## ◆ DOUBLE_NPC

#define DOUBLE_NPC (2 * NPC)

Definition at line 122 of file platform_sampler_lpspi3_ad8688.h.

## ◆ DOUBLE_NPC_1

#define DOUBLE_NPC_1 (DOUBLE_NPC - 1)

Definition at line 123 of file platform_sampler_lpspi3_ad8688.h.

## ◆ DOUBLE_TOT_PPC

#define DOUBLE_TOT_PPC (2*TOT_PPC)

Definition at line 126 of file platform_sampler_lpspi3_ad8688.h.

## ◆ ETHER_CFI

#define ETHER_CFI 0

Definition at line 141 of file platform_sampler_lpspi3_ad8688.h.

## ◆ ETHER_HEAD

#define ETHER_HEAD 0x8100

Definition at line 135 of file platform_sampler_lpspi3_ad8688.h.

## ◆ ETHER_PRIORITY

#define ETHER_PRIORITY 4

Definition at line 139 of file platform_sampler_lpspi3_ad8688.h.

## ◆ ETHER_SV_DATA

#define ETHER_SV_DATA 0x88BA

Definition at line 136 of file platform_sampler_lpspi3_ad8688.h.

## ◆ ETHER_TYPE_ERR

#define ETHER_TYPE_ERR 2

Definition at line 168 of file platform_sampler_lpspi3_ad8688.h.

## ◆ ETHER_VID

#define ETHER_VID 0x000

Definition at line 140 of file platform_sampler_lpspi3_ad8688.h.

## ◆ GPT_IRQ_ID

#define GPT_IRQ_ID GPT2_IRQn

Definition at line 53 of file platform_sampler_lpspi3_ad8688.h.

## ◆ GPT_IRQ_PRIORITY

#define GPT_IRQ_PRIORITY (9U)

Definition at line 36 of file platform_sampler_lpspi3_ad8688.h.

## ◆ HALF_NPC

#define HALF_NPC (NPC/2)

Definition at line 118 of file platform_sampler_lpspi3_ad8688.h.

## ◆ HALF_NPC_1

#define HALF_NPC_1 HALF_NPC - 1

Definition at line 119 of file platform_sampler_lpspi3_ad8688.h.

## ◆ IMPLICIT_DATA_7

#define IMPLICIT_DATA_7 0x87

Definition at line 162 of file platform_sampler_lpspi3_ad8688.h.

## ◆ IMPLICIT_INT_0

#define IMPLICIT_INT_0 0x80

Definition at line 155 of file platform_sampler_lpspi3_ad8688.h.

## ◆ IMPLICIT_INT_2

#define IMPLICIT_INT_2 0x82

Definition at line 159 of file platform_sampler_lpspi3_ad8688.h.

## ◆ IMPLICIT_INT_3

#define IMPLICIT_INT_3 0x83

Definition at line 160 of file platform_sampler_lpspi3_ad8688.h.

## ◆ IMPLICIT_INT_5

#define IMPLICIT_INT_5 0x85

Definition at line 161 of file platform_sampler_lpspi3_ad8688.h.

## ◆ IMPLICIT_PDU_0

#define IMPLICIT_PDU_0 0x60

Definition at line 154 of file platform_sampler_lpspi3_ad8688.h.

## ◆ IMPLICIT_SEQ_2

#define IMPLICIT_SEQ_2 0xA2

Definition at line 156 of file platform_sampler_lpspi3_ad8688.h.

## ◆ IMPLICIT_STRING_0

#define IMPLICIT_STRING_0 0x80

Definition at line 158 of file platform_sampler_lpspi3_ad8688.h.

## ◆ LPSPI3_CLOCK_SOURCE_DIVIDER

#define LPSPI3_CLOCK_SOURCE_DIVIDER (7U)

Definition at line 90 of file platform_sampler_lpspi3_ad8688.h.

## ◆ LPSPI3_CLOCK_SOURCE_SELECT

#define LPSPI3_CLOCK_SOURCE_SELECT (1U)

Definition at line 87 of file platform_sampler_lpspi3_ad8688.h.

## ◆ LPSPI3_MASTER_CLK_FREQ

#define LPSPI3_MASTER_CLK_FREQ | ( |  | CLOCK | ) | (CLOCK / (LPSPI3_CLOCK_SOURCE_DIVIDER + 1U))

Definition at line 96 of file platform_sampler_lpspi3_ad8688.h.

## ◆ LPSPI3_MASTER_PCS_FOR_INIT

#define LPSPI3_MASTER_PCS_FOR_INIT (kLPSPI_Pcs0)

Definition at line 80 of file platform_sampler_lpspi3_ad8688.h.

## ◆ LPSPI3_MASTER_PCS_FOR_TRANSFER

#define LPSPI3_MASTER_PCS_FOR_TRANSFER (kLPSPI_MasterPcs0)

Definition at line 81 of file platform_sampler_lpspi3_ad8688.h.

## ◆ LPSPI3_PRIORITY

#define LPSPI3_PRIORITY (8U)

Definition at line 78 of file platform_sampler_lpspi3_ad8688.h.

## ◆ LPSPI3_TRANSFER_BAUDRATE

#define LPSPI3_TRANSFER_BAUDRATE (16U * 1000000U)

Definition at line 84 of file platform_sampler_lpspi3_ad8688.h.

## ◆ MAX_FRAME_LENGTH

#define MAX_FRAME_LENGTH 256

Definition at line 132 of file platform_sampler_lpspi3_ad8688.h.

## ◆ MAX_INT15

#define MAX_INT15 32768

Definition at line 105 of file platform_sampler_lpspi3_ad8688.h.

## ◆ MAX_INT31

#define MAX_INT31 0x7FFFFFFF

Definition at line 106 of file platform_sampler_lpspi3_ad8688.h.

## ◆ MAX_REC_SV

#define MAX_REC_SV 8

Definition at line 130 of file platform_sampler_lpspi3_ad8688.h.

## ◆ MAX_SAMPLE_ADD_1

#define MAX_SAMPLE_ADD_1 (MAX_SAMPLE_DATA + 1)

Definition at line 109 of file platform_sampler_lpspi3_ad8688.h.

## ◆ MAX_SAMPLE_CHANNELS

#define MAX_SAMPLE_CHANNELS 8

Definition at line 110 of file platform_sampler_lpspi3_ad8688.h.

## ◆ MAX_SAMPLE_CHANNELS_1

#define MAX_SAMPLE_CHANNELS_1 (MAX_SAMPLE_CHANNELS - 1)

Definition at line 111 of file platform_sampler_lpspi3_ad8688.h.

## ◆ MAX_SAMPLE_DATA

#define MAX_SAMPLE_DATA 4

Definition at line 108 of file platform_sampler_lpspi3_ad8688.h.

## ◆ MAX_SV_LENGTH

#define MAX_SV_LENGTH 252

Definition at line 133 of file platform_sampler_lpspi3_ad8688.h.

## ◆ MAX_SVID_LENGTH

#define MAX_SVID_LENGTH 10

Definition at line 152 of file platform_sampler_lpspi3_ad8688.h.

## ◆ MAX_TX_BUFFER

#define MAX_TX_BUFFER 20

Definition at line 114 of file platform_sampler_lpspi3_ad8688.h.

## ◆ NANOSECS_PER_HALFSECOND

#define NANOSECS_PER_HALFSECOND (NANOSECS_PER_SECOND / 2U)

Definition at line 25 of file platform_sampler_lpspi3_ad8688.h.

## ◆ NANOSECS_PER_SECOND

#define NANOSECS_PER_SECOND (1000U * 1000U * 1000U)

Definition at line 23 of file platform_sampler_lpspi3_ad8688.h.

## ◆ NO_ASDU_LENGTH

#define NO_ASDU_LENGTH 1

Definition at line 145 of file platform_sampler_lpspi3_ad8688.h.

## ◆ NPC

#define NPC 80

Definition at line 116 of file platform_sampler_lpspi3_ad8688.h.

## ◆ NPC_1

#define NPC_1 NPC - 1

Definition at line 117 of file platform_sampler_lpspi3_ad8688.h.

## ◆ ONE_HALF_NPC

#define ONE_HALF_NPC (3*NPC/2)

Definition at line 120 of file platform_sampler_lpspi3_ad8688.h.

## ◆ ONE_HALF_NPC_1

#define ONE_HALF_NPC_1 ONE_HALF_NPC - 1

Definition at line 121 of file platform_sampler_lpspi3_ad8688.h.

## ◆ PDU_LENGTH

#define PDU_LENGTH 98

Definition at line 144 of file platform_sampler_lpspi3_ad8688.h.

## ◆ PIT_CLOCK

#define PIT_CLOCK | ( |  | BASEFREQ | ) | ((BASEFREQ) / PIT_CLOCK_DIVIDER_RATIO)

Definition at line 51 of file platform_sampler_lpspi3_ad8688.h.

## ◆ PIT_CLOCK_BASEFREQ

#define PIT_CLOCK_BASEFREQ | ( |  | ) | CLOCK_GetFreq( PIT_CLOCK_WHICH )

Definition at line 45 of file platform_sampler_lpspi3_ad8688.h.

## ◆ PIT_CLOCK_DIVIDER_RATIO

#define PIT_CLOCK_DIVIDER_RATIO 1U

Definition at line 48 of file platform_sampler_lpspi3_ad8688.h.

## ◆ PIT_CLOCK_SOURCE_SELECT

#define PIT_CLOCK_SOURCE_SELECT 0U

Definition at line 42 of file platform_sampler_lpspi3_ad8688.h.

## ◆ PIT_CLOCK_WHICH

#define PIT_CLOCK_WHICH kCLOCK_IpgClk

Definition at line 39 of file platform_sampler_lpspi3_ad8688.h.

## ◆ PIT_IRQ_ID

#define PIT_IRQ_ID PIT_IRQn

Definition at line 33 of file platform_sampler_lpspi3_ad8688.h.

## ◆ PIT_IRQ_PRIORITY

#define PIT_IRQ_PRIORITY 6U

Definition at line 35 of file platform_sampler_lpspi3_ad8688.h.

## ◆ SEQ_LENGTH

#define SEQ_LENGTH 93

Definition at line 146 of file platform_sampler_lpspi3_ad8688.h.

## ◆ SEQUENCE

#define SEQUENCE 0x30

Definition at line 157 of file platform_sampler_lpspi3_ad8688.h.

## ◆ SMP_CNT_LENGTH

#define SMP_CNT_LENGTH 2

Definition at line 148 of file platform_sampler_lpspi3_ad8688.h.

## ◆ SMP_DATA_LENGTH

#define SMP_DATA_LENGTH 64

Definition at line 151 of file platform_sampler_lpspi3_ad8688.h.

## ◆ SMP_SYNCH_LENGTH

#define SMP_SYNCH_LENGTH 1

Definition at line 150 of file platform_sampler_lpspi3_ad8688.h.

## ◆ SMV_GPT

#define SMV_GPT GPT2

Definition at line 54 of file platform_sampler_lpspi3_ad8688.h.

## ◆ SMV_GPT_CLK_FREQ

#define SMV_GPT_CLK_FREQ (CLOCK_GetFreq(kCLOCK_IpgClk) / (SMV_GPT_CLOCK_DIVIDER_SELECT + 1U))

Definition at line 61 of file platform_sampler_lpspi3_ad8688.h.

## ◆ SMV_GPT_CLOCK_DIVIDER_SELECT

#define SMV_GPT_CLOCK_DIVIDER_SELECT (0U)

Definition at line 59 of file platform_sampler_lpspi3_ad8688.h.

## ◆ SMV_GPT_CLOCK_SOURCE_SELECT

#define SMV_GPT_CLOCK_SOURCE_SELECT (0U)

Definition at line 57 of file platform_sampler_lpspi3_ad8688.h.

## ◆ SV_ID_ERR

#define SV_ID_ERR 3

Definition at line 169 of file platform_sampler_lpspi3_ad8688.h.

## ◆ SV_LENGTH

#define SV_LENGTH 108

Definition at line 143 of file platform_sampler_lpspi3_ad8688.h.

## ◆ TOT_PPC

#define TOT_PPC (HALF_NPC * MAX_SAMPLE_CHANNELS)

Definition at line 125 of file platform_sampler_lpspi3_ad8688.h.

## ◆ TOT_RAW_DATA

#define TOT_RAW_DATA (4*TOT_PPC)

Definition at line 128 of file platform_sampler_lpspi3_ad8688.h.

## ◆ TOTAL_RANGE_SELECT_REGISTER

#define TOTAL_RANGE_SELECT_REGISTER 8

Definition at line 69 of file platform_sampler_lpspi3_ad8688.h.

## ◆ TRIPLE_TOT_PPC

#define TRIPLE_TOT_PPC (3*TOT_PPC)

Definition at line 127 of file platform_sampler_lpspi3_ad8688.h.

## ◆ VLAN_TAG_ENABLED

#define VLAN_TAG_ENABLED 0

Definition at line 101 of file platform_sampler_lpspi3_ad8688.h.

## ◆ VOLTAGE_SAMPLE

#define VOLTAGE_SAMPLE 1

Definition at line 103 of file platform_sampler_lpspi3_ad8688.h.

## Function Documentation

## ◆ config_process_bus()

void config_process_bus | ( | void |  | ) |

Definition at line 1275 of file platform_sampler_lpspi3_ad8688.c.

References config_rxsv(), config_txsv(), enable_ready_to_transfer(), process_bus_started, process_rx_buffer(), PROCESS_BUS_CONFIG::rx_sv_config, rx_sv_enable, sav_intf, sav_rx_enabled(), sav_tx_enabled(), sv_config_ptr, sv_frame_length, sv_tx_buffer, SV_CONFIG::SvEna, sysFreq0, temp_sv_config, trans_intf, PROCESS_BUS_CONFIG::tx_sv_config, and tx_sv_enable.

## ◆ Sampler_ADS8688_Adjust()

bool Sampler_ADS8688_Adjust | ( | uint32_t | uiDelay_Nsec,
|  | uint32_t | uiPeriod_Nsec
| ) |  |

Definition at line 137 of file platform_sampler_lpspi3_ad8688.c.

## ◆ Sampler_ADS8688_GetTimer()

uint32_t Sampler_ADS8688_GetTimer | ( | void |  | ) |

Definition at line 150 of file platform_sampler_lpspi3_ad8688.c.

## ◆ Sampler_ADS8688_Grab()

uint32_t Sampler_ADS8688_Grab | ( | uint32_t | uiEarliestTimer,
|  | volatile stPLATFORM_SampleGrab_t ** | papstGrabArray,
|  | uint32_t | uiMaxSamplesToGrab
| ) |  |

Definition at line 155 of file platform_sampler_lpspi3_ad8688.c.

## ◆ Sampler_ADS8688_InitHardware()

bool Sampler_ADS8688_InitHardware | ( | void |  | ) |

Definition at line 100 of file platform_sampler_lpspi3_ad8688.c.

References ADS8688_LPSPI_MASTER_BASEADDR, ADS8688_LPSPI_MASTER_IRQN, GPT_Initialise(), initADS8688(), initGPIO_ADS8688_CS(), LPSPI3_Initialise(), and PIT_Initialise().

## ◆ Sampler_ADS8688_Setup()

bool Sampler_ADS8688_Setup | ( | const ePLATFORM_SamplerConfig_t * | paeSamplerConfig,
|  | uint32_t | uiNumChannels,
|  | volatile stPLATFORM_SampleGrab_t * | pastCircularBuffer,
|  | uint32_t | uiBufferElements
| ) |  |

Definition at line 117 of file platform_sampler_lpspi3_ad8688.c.

## ◆ Sampler_ADS8688_Start()

bool Sampler_ADS8688_Start | ( | uint32_t | uiPeriod_Nsec | ) |

Definition at line 130 of file platform_sampler_lpspi3_ad8688.c.

## ◆ Sampler_ADS8688_Stop()

bool Sampler_ADS8688_Stop | ( | void |  | ) |

Definition at line 145 of file platform_sampler_lpspi3_ad8688.c.

NANOSECS_PER_SECOND
#define NANOSECS_PER_SECOND
Definition: platform_sampler_lpspi3_ad8688.h:23